Sun GlassFish(tm) Message Queue v4.4

## com.sun.messaging
Class AdminConnectionConfiguration

    java.lang.Object
      com.sun.messaging.AdminConnectionConfiguration

    public class AdminConnectionConfiguration

extends Object

The `AdminConnectionConfiguration` class contains property names and special values for configuring the `AdminConnectionFactory` object.

Other property names and information related to security is TBD.

See Also:
  `com.sun.messaging.AdminConnectionFactory`

Field Summary
`static String` `imqAddress` This property holds the address that will be used by management clients to connect to the MQ Message Service.
`static String` `imqDefaultAdminPassword` This property holds the default administrator password that will be used to authenticate with the MQ Administration Service.
`static String` `imqDefaultAdminUsername` This property holds the default administrator username that will be used to authenticate with the MQ Administration Service.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imqAddress

    public static final String imqAddress

  This property holds the address that will be used by management clients to connect to the MQ Message Service.

  Message Server Address Syntax

  The syntax for specifying a message server address is as follows:

  `scheme://address_syntax`

  This syntax is similar to the one used by JMS clients to configure JMS ConnectionFactory objects. However, the address syntax includes an MQ broker JMX connector name (instead of a connection service name).

  `scheme` and `address_syntax` are described in the folowing table.

  Scheme | JMX Connector Name | Description | Syntax
  --- | --- | --- | ---
  `mq` | `jmxrmi and jmxsslrmi` | The MQ Port Mapper at the specified host and port will handle the connection request, and determine the JMXServiceURL for the connector that is specified. Once this is known, MQ makes the connection. | `[hostName][:port]/connectorName` Defaults: `hostName = localhost port = 7676` A connector name must be specified.

  The following table shows how the message server address syntax applies in some typical cases.

  Connector Name | Broker Host | Port | Example Address
  --- | --- | --- | ---
  jmxrmi | Unspecified | Unspecified | `mq:///jmxrmi (mq://localhost:7676/jmxrmi)`
  jmxrmi | Specified Host | Unspecified | `mq://myBkrHost/jmxrmi (mq://myBkrHost:7676/jmxrmi)`
  jmxrmi | Unspecified | Specified Portmapper Port | `mq://:1012/jmxrmi (mq://localHost:1012/jmxrmi)`
  `jmxsslrmi` | Local Host | Default Portmapper Port | `mq://localHost:7676/jmxsslrmi`
  `jmxsslrmi` | Specified Host | Default Portmapper Port | `mq://myBkrHost:7676/jmxsslrmi`
  `jmxsslrmi` | Specified Host | Specified Portmapper Port | `mq://myBkrHost:1012/jmxsslrmi`

  The default value of this property is `mq://localhost:7676/jmxrmi`

  See Also:
    Constant Field Values

### imqDefaultAdminUsername

    public static final String imqDefaultAdminUsername

  This property holds the default administrator username that will be used to authenticate with the MQ Administration Service.

  The default value of this property is `admin`

  See Also:
    Constant Field Values

### imqDefaultAdminPassword

    public static final String imqDefaultAdminPassword

  This property holds the default administrator password that will be used to authenticate with the MQ Administration Service.

  The default value of this property is `admin`

  See Also:
    Constant Field Values

Sun GlassFish(tm) Message Queue v4.4

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.